CFD Online Discussion Forums

CFD Online Discussion Forums (
-   OpenFOAM Installation (
-   -   OpenFOAM Installation Errors on Ubuntu 10.04 (

ozzythewise June 18, 2010 06:56

OpenFOAM Installation Errors on Ubuntu 10.04
Hi all,

I just got a new computer and am trying to put OpenFOAM on it. I am running 64-bit and on the new Ubuntu 10.04. I tried following the installation instruction for version 9.10 (here: but when I run foamInstallationTest I get the following error:

Third party software
Software Version Location
gcc 4.3.3 ...M/ThirdParty-1.6.x/gcc-4.3.3/platforms/linux64/bin/gcc
gzip 1.3.12 /bin/gzip
tar 1.22 /bin/tar
WARNING: Conflicting installations:
OpenFOAM settings : /home/jeffrey/OpenFOAM/OpenFOAM-1.6.x/applications/bin/linux64GccDPOpt/icoFoam
current path :

If anybody has any thoughts on this it would be really appreciated.

Thanks a ton!

wyldckat June 19, 2010 05:59

Greetings Jeff,

The script you've used has a thread dedicated to supporting it: OpenFOAM-1.6 install cookbook
And unfortunately that script version from where you downloaded hasn't been updated for a while. And for installing in Ubuntu 10.04 there are some additional changes you'll need to do: on that same thread, see post #353
If you still want to use that script, I suggest using the information in that post, and trail back a few posts searching for an updated version I posted some time ago.

But I've given up updating that script, because I've been short on time and have dedicated efforts to a fork of that very same script:
The support thread for it is this one: OpenFOAM 1.6.x Installer for Ubuntu

Best regards,

All times are GMT -4. The time now is 17:10.